# vim: set ft=spec: -*- rpm-spec -*-

Name:     	mono
Version: 	0.28
Release: 	alt2
Copyright:	LGPL
URL:		http://www.go-mono.com
Source0:	mono-%version.tar.gz
Summary:	The Mono CIL runtime, suitable for running .NET code
Group:		System/Base
Requires:	mcs,libxml2,libxslt

# Automatically added by buildreq on Fri Nov 28 2003
BuildRequires: gcc-c++ glib2-devel glibc-devel-static pkgconfig

%description
The Mono runtime implements a JIT engine for the ECMA CLI
virtual machine (as well as a byte code interpreter, the
class loader, the garbage collector, threading system and
metadata access libraries.
          
%package devel		
Summary:	Files and programs needed for Mono development
Group:		System/Base
PreReq: %name = %version-%release

%description devel
Header files, programs and documentation neede to develop
programs with the Mono .NET implementation
          

%prep
%setup  -q -n mono-%version

%build
%configure
%make

%install
%__make DESTDIR=%buildroot install

%__cat %buildroot%_bindir/ilasm | sed -re "s|ilasm|mono_ilasm|" > %buildroot%_bindir/mono_ilasm
%__chmod 755 %buildroot%_bindir/mono_ilasm
%__rm %buildroot%_bindir/ilasm

%__cat  %buildroot%_man1dir/ilasm.1 | sed -re "s|ilasm|mono_ilasm|" > %buildroot%_man1dir/mono_ilasm.1
%__rm  %buildroot%_man1dir/ilasm.1


(cd $RPM_BUILD_ROOT
    find . -type f -print0 |xargs -0 %__subst s@$RPM_BUILD_ROOT@@g
)


find %buildroot%_bindir/. -type f -print0 | xargs -0 %__subst "s|/usr/bin/mono /usr/bin/\(.*\)\.exe|/usr/bin/mono /usr/share/mono/\\1\.exe|"
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING.LIB ChangeLog NEWS README
%_bindir/*
%_libdir/*.so.*
/etc/mono/config
/etc/mono/machine.config
%_man1dir/*
%_man5dir/*
/usr/share/mono/cil/cil-opcodes.xml
 
%exclude %_bindir/*.exe


%files devel
%_libdir/*.a
%_libdir/*.so
%_libdir/pkgconfig/*
%_includedir/*

%changelog
* Fri Nov 28 2003 Pavel S. Mironchik <tibor@altlinux.ru> 0.28-alt2
- fixed problem with pnet

* Tue Oct  7 2003 Pavel S. Mironchik <tibor@altlinux.ru> 0.28-alt1
- new version 0.28-alt1

* Thu Sep 18 2003 Pavel S. Mironchik <tibor@altlinux.ru> 0.26-alt1
- Adopted for ALTLinux form original Ximian spec and mono-0.16

* Tue Nov 19 2002 Stanislav Ievlev <inger@altlinux.ru> 0.16-alt1
- Initial release for ALT


